<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "brand".
 *
 * @property int $id
 * @property int|null $created_at
 * @property int|null $updated_at
 * @property string|null $name
 * @property string|null $show_name
 * @property int|null $is_deleted
 */
class Brand extends BaseModel
{


    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'brand';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['name', 'show_name'], 'default', 'value' => null],
            [['is_deleted'], 'default', 'value' => 0],
            [['created_at', 'updated_at', 'is_deleted'], 'integer'],
            [['name', 'show_name'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
            'name' => 'Name',
            'show_name' => 'Show Name',
            'is_deleted' => 'Is Deleted',
        ];
    }
}
